| Home | Libraries | People | FAQ | More

##### End of Line Parser (`eol`)

###### Description

The `eol` parser matches the end of line (CR/LF and combinations thereof).

###### Header

    // forwards to <boost/spirit/home/qi/auxiliary/eol.hpp>
    #include <boost/spirit/include/qi_eol.hpp>

Also, see Include Structure.

###### Namespace

Name
`boost::spirit::eol // alias: boost::spirit::qi::eol`

###### Model of

> `PrimitiveParser`

###### Expression Semantics

Semantics of an expression is defined only where it differs from, or is not defined in `PrimitiveParser`.

Expression | Semantics
--- | ---
`eol` | Create a parser that matches the end of line.

###### Attributes

Expression | Attribute
--- | ---
`eol` | `unused`

###### Complexity

> O(1)

###### Example

| Note
The test harness for the example(s) below is presented in the Basics Examples section.

Some using declarations:

    using boost::spirit::qi::eol;

Using `eol`:

    test_parser("\n", eol);